GeoServer 2.1.3 Released

The GeoServer team is happy to announce the release of GeoServer 2.1.3, now available for download.

For the most part this is a maintainance release consisting of bug fixes, but as usual a few new features and improvements have managed to creep in. A total of 59 issues were resolved for this release. Some of the new and noteworthy include:

  • basic http authentication with cascaded WMS servers
  • WMS 1.3 support in the layer preview
  • transparent sorting for all data stores, not only those backed by a database
  • embedded OpenLayers upgraded to 2.11
  • a number of INSPIRE compliance improvements
  • support for asynchronous WPS processes

And more. Check out the change log for the entire list. A big thank you to everyone who contributed patches for this release. This includes:

  • Tony Young for a monitoring patch to include support for the “user-agent” header (GEOS-4872)
  • Tony Young again for a restconfig patch to properly calculate grid dimensions for coverages (GEOS-4753)
  • Rudi Hochmeister for a documentation patch providing an installation guide for Debian Linux  (GEOS-4752)
  • Frank Gasdorf for a completed German translation (GEOS-4294)

Contributions such as these are what keeps GeoServer moving forward. And thanks to all those who helped out by filing bug reports.

Download 2.1.3, try it out and help us to continue to improve GeoServer by providing feedback on the mailing list and reporting bugs in the issue tracker.

Thanks for using GeoServer!

2 Comments

  1. Edison
    Posted 2011/12/23 at 3:29 pm | Permalink

    WPS reference post is failing under the new 2.1.3. 2.1.2 was fine , however.

  2. Andrea Aime
    Posted 2011/12/24 at 11:57 am | Permalink

    Edison, please use the mailing list or the bug tracker to report issues. It is a bit strange though, the build tests do contain cases of reference post (if we are talking about the same thing… that’s why the mailing list is the better place, it’s possible to discuss issues)

Download GeoServer